> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Instagram search

> Find Instagram profiles or places by keyword, with followers, bio, links and latest posts (places: address, coordinates, top posts). 5 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-instagram-search
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research, search, extraction, and structured data
    source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Multi-step research workflows and the sessions they run in.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
  - name: Company Registries
    description: Company Registries data sources.
  - name: Startup & Funding Data
    description: Startup & Funding Data data sources.
  - name: Maps & Local Businesses
    description: Maps & Local Businesses data sources.
paths:
  /functions/v1/run-instagram-search:
    post:
      tags:
        - Social media
      summary: Instagram search
      description: >-
        Find Instagram profiles or places by keyword, with followers, bio, links
        and latest posts (places: address, coordinates, top posts). 5 point per
        returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  description: Search query. e.g. coffee shop
                  type: string
                search_type:
                  description: 'Search for. Options: place = Places'
                  type: string
                  enum:
                    - place
                max_items:
                  description: Max results (up to 250)
                  type: integer
                  minimum: 1
                  maximum: 250
                  default: 10
              required:
                - query
            example:
              query: coffee shop
              max_items: 2
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: instagram_search
                query: coffee shop
                search_type: profile
                max_items: 2
                partial: false
                human: |-
                  # Instagram search

                  - **Query:** coffee shop
                  - **Search type:** profile
                  - **Max results:** 2
                  - **Records returned:** 2
                machine:
                  total_items: 2
                  items:
                    - result_type: profile
                      id: '74672878015'
                      username: avshop.coffee
                      full_name: avshop.coffee
                      url: https://www.instagram.com/avshop.coffee
                      biography: >-
                        ☕️ Истинско кафе изживяване от най-добрите плантации в
                        света 🌏 Поръчай онлайн 📦
                      external_url: https://www.avshop.bg/
                      external_urls:
                        - title: null
                          url: https://www.avshop.bg/
                      followers_count: 92
                      follows_count: 0
                      posts_count: null
                      highlight_reel_count: null
                      igtv_video_count: null
                      is_verified: false
                      is_private: false
                      is_business_account: true
                      business_category: null
                      joined_recently: false
                      profile_pic_url: >-
                        https://scontent-muc2-1.cdninstagram.com/v/t51.82787-19/566656043_17863564083494016_1413380665862255139_n.jpg?_nc_cat=110&ig_cache_key=GCt8xiGAfJ4f0XY-ACPyHyk6Vp0TbmNDAQAB0j-ccb7-5&ccb=7-5&_nc_sid=669
                      related_profiles: []
                      latest_posts: []
                    - result_type: profile
                      id: '3122350991'
                      username: sofoscoffeeshop
                      full_name: Sofos Coffee Shop
                      url: https://www.instagram.com/sofoscoffeeshop
                      biography: >-
                        ☕Specialty Coffee Shop 🫐Superfoods 🌰Nuts 🍵Tea 🌿Herbs
                        🧂Spices 🌱Organic products
                      external_url: http://e-sofos.gr
                      external_urls:
                        - title: null
                          url: http://e-sofos.gr
                      followers_count: 10477
                      follows_count: 0
                      posts_count: null
                      highlight_reel_count: null
                      igtv_video_count: null
                      is_verified: false
                      is_private: false
                      is_business_account: true
                      business_category: Health Food Store
                      joined_recently: false
                      profile_pic_url: >-
                        https://scontent-muc2-1.cdninstagram.com/v/t51.2885-19/231067564_535471414444848_7951417089677812379_n.jpg?_nc_cat=102&ig_cache_key=GKzPxQ0wA3InAucBAJtiN-O2G1lubkULAAAB0j-ccb7-5&ccb=7-5&_nc_sid=669407
                      related_profiles: []
                      latest_posts: []
                  errors: []
                total_points: 10
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  query:
                    type: string
                  search_type:
                    type: string
                  max_items:
                    type: integer
                  partial:
                    type: boolean
                    description: >-
                      True when the scrape stopped early and returned the
                      records collected so far.
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            result_type:
                              type: string
                            id:
                              type: string
                            username:
                              type: string
                            full_name:
                              type: string
                            url:
                              type: string
                            biography:
                              type: string
                            external_url:
                              type: string
                            external_urls:
                              type: array
                              items:
                                type: object
                                properties:
                                  title: {}
                                  url:
                                    type: string
                            followers_count:
                              type: integer
                            follows_count:
                              type: integer
                            posts_count: {}
                            highlight_reel_count: {}
                            igtv_video_count: {}
                            is_verified:
                              type: boolean
                            is_private:
                              type: boolean
                            is_business_account:
                              type: boolean
                            business_category:
                              type: string
                              nullable: true
                            joined_recently:
                              type: boolean
                            profile_pic_url:
                              type: string
                            related_profiles:
                              type: array
                              items: {}
                            latest_posts:
                              type: array
                              items: {}
                      errors:
                        type: array
                        items: {}
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.